Upstream information

CVE-2016-2335 at MITRE

Description

The CInArchive::ReadFileItem method in Archive/Udf/UdfIn.cpp in 7zip 9.20 and 15.05 beta and p7zip allows remote attackers to cause a denial of service (out-of-bounds read) or execute arbitrary code via the PartitionRef field in the Long Allocation Descriptor in a UDF file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 979823 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • p7zip >= 9.20.1-6.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-943
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • p7zip >= 9.20.1-6.1
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • p7zip >= 9.20.1-7.3.1
SUSE Linux Enterprise Desktop 12
  • p7zip >= 9.20.1-6.1
Patchnames:
SUSE-SLE-DESKTOP-12-2016-943
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • p7zip >= 16.02-5.10
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • p7zip >= 9.20.1-6.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-943
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • p7zip >= 9.20.1-6.1
Patchnames:
SUSE-SLE-SERVER-12-2016-943
openSUSE 13.1
  • p7zip >= 9.20.1-10.6.1
  • p7zip-debuginfo >= 9.20.1-10.6.1
  • p7zip-debugsource >= 9.20.1-10.6.1
Patchnames:
2016-890
openSUSE Leap 15.0
  • p7zip >= 16.02-lp150.4.2
Patchnames:
openSUSE Leap 15.0 GA p7zip
openSUSE Leap 42.1
  • p7zip >= 9.20.1-15.1
  • p7zip-debuginfo >= 9.20.1-15.1
  • p7zip-debugsource >= 9.20.1-15.1
Patchnames:
openSUSE-2016-771
openSUSE Leap 42.2
  • p7zip >= 9.20.1-15.6
Patchnames:
openSUSE Leap 42.2 GA p7zip
openSUSE Leap 42.3
  • p7zip >= 9.20.1-17.1
Patchnames:
openSUSE Leap 42.3 GA p7zip
openSUSE Tumbleweed
  • p7zip >= 16.02-2.1
Patchnames:
openSUSE Tumbleweed GA p7zip


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 p7zip Released
SUSE Linux Enterprise Desktop 12 SP1 p7zip Released
SUSE Linux Enterprise Desktop 12 SP2 p7zip Released
SUSE Linux Enterprise High Performance Computing 12 SP5 p7zip Released
SUSE Linux Enterprise Server 12 p7zip Released
SUSE Linux Enterprise Server 12 LTSS p7zip Released
SUSE Linux Enterprise Server 12 SP1 p7zip Released
SUSE Linux Enterprise Server 12 SP2 p7zip Released
SUSE Linux Enterprise Server 12 SP5 p7zip Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 p7zip Released